# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2018-10-22 07:01
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('sale_opportunity', '0003_auto_20181020_1758'),
    ]

    operations = [
        migrations.CreateModel(
            name='TypeActivity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_modified', models.DateTimeField(auto_now=True, null=True)),
                ('is_deleted', models.BooleanField(default=False, verbose_name='Elimina logicamente')),
                ('correlative', models.PositiveIntegerField(null=True, verbose_name='Correlativo')),
                ('code', models.CharField(max_length=10, null=True, verbose_name='Código')),
                ('name', models.CharField(max_length=100, verbose_name='Nombre')),
            ],
            options={
                'verbose_name': 'TypeActivity',
                'verbose_name_plural': 'TypeActivities',
                'default_related_name': 'typeactivities',
            },
        ),
        migrations.AlterField(
            model_name='activity',
            name='type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='sale_opportunity.TypeActivity', verbose_name='(*)Tipo'),
        ),
    ]
